import { SVGProps } from "react";

const InstagramLogo = (props: SVGProps<SVGSVGElement>) => (
  <svg
    width={20}
    height={20}
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}
  >
    <path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M11.073 1.667c1.32.003 1.642.016 2.37.05.885.04 1.49.183 2.021.388a4.103 4.103 0 0 1 1.476.96c.426.418.752.919.964 1.479.205.528.348 1.136.387 2.022.034.762.041 1.079.042 2.579v1.312c0 1.85-.012 2.154-.048 2.98-.04.885-.183 1.49-.388 2.021a4.263 4.263 0 0 1-2.439 2.439c-.527.205-1.136.348-2.022.387-.89.04-1.173.05-3.436.05h-.235c-2.05-.002-2.344-.012-3.2-.05-.887-.039-1.492-.182-2.023-.387a4.102 4.102 0 0 1-1.476-.96 4.11 4.11 0 0 1-.963-1.479c-.206-.527-.349-1.136-.388-2.022a45.076 45.076 0 0 1-.048-2.397V8.93c.004-1.319.017-1.641.051-2.368.04-.886.183-1.491.388-2.022a4.103 4.103 0 0 1 .96-1.475 4.068 4.068 0 0 1 1.479-.964c.528-.205 1.137-.348 2.022-.387.73-.033 1.052-.045 2.398-.048h2.108ZM10.88 3.18H9.142c-1.448.003-1.75.015-2.5.049-.81.035-1.254.172-1.547.286a2.588 2.588 0 0 0-.957.622c-.28.267-.492.596-.625.957-.114.293-.251.733-.287 1.547-.036.81-.047 1.1-.049 2.904v.926c.002 1.803.013 2.09.05 2.903.035.811.172 1.254.286 1.547.133.361.345.687.622.957.267.277.596.489.957.622.293.114.733.25 1.547.287.746.033 1.05.045 2.5.048h1.735c1.448-.003 1.75-.015 2.5-.048.81-.036 1.254-.173 1.547-.287a2.765 2.765 0 0 0 1.582-1.582c.114-.293.251-.733.287-1.547.035-.781.046-1.074.049-2.691V9.335c-.003-1.617-.014-1.913-.049-2.694-.036-.81-.172-1.254-.287-1.547a2.591 2.591 0 0 0-.622-.957 2.563 2.563 0 0 0-.957-.622c-.293-.114-.733-.25-1.547-.286-.746-.034-1.048-.046-2.498-.049Zm-.876 2.54A4.283 4.283 0 0 1 14.286 10a4.283 4.283 0 0 1-8.565 0 4.283 4.283 0 0 1 4.282-4.282Zm0 1.504a2.778 2.778 0 1 0 0 5.556 2.778 2.778 0 0 0 0-5.556Zm4.452-2.673a1 1 0 1 1 0 1.999 1 1 0 0 1 0-2Z"
      fill="#fff"
    />
  </svg>
);

export default InstagramLogo;
